Skip to main content
GET
/
cleemy-procurement
/
api
/
costcenters
/
{id}
Get Cost-Center
curl --request GET \
  --url https://{host}/cleemy-procurement/api/costcenters/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/cleemy-procurement/api/costcenters/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/cleemy-procurement/api/costcenters/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "code": "<string>",
  "id": 123,
  "owner": {
    "id": 123,
    "href": "<string>",
    "name": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "pictureHref": "<string>"
  },
  "state": "Disabled",
  "establishments": [
    {
      "id": 123,
      "name": "<string>",
      "href": "<string>"
    }
  ]
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer<int32>
required

ID of the cost-center.

Response

200 - application/json

Successful read of cost-center

Cost-center.

name
string
required
code
string
required
id
integer<int32>
read-only
owner
Reference to a user · object

Read-only. Owner of the cost-center.

state
enum<string>
default:Disabled

Disabled: the cost-center is disabled. Enabled: the cost-center is enabled.

Available options:
Disabled,
Enabled
establishments
Reference to an establishment · object[]
read-only

Read-only. Establishments to which the cost-center belongs.